Package org.apache.sling.commons.testing.jcr

# Class RepositoryProvider

java.lang.Object
org.apache.sling.commons.testing.jcr.RepositoryProvider

public class RepositoryProvider extends Object
Provide a Repository to test classes, on-demand, with auto-cleanup at JVM shutdown.

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.jcr.api.SlingRepository`
`getRepository()`
Return a SlingRepository.
`static RepositoryProvider`
`instance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### instance

public static RepositoryProvider instance()

### getRepository

public org.apache.sling.jcr.api.SlingRepository getRepository() throws javax.jcr.RepositoryException
Return a SlingRepository. First call initializes it, and a JVM shutdown hook is registered to stop it.

Throws:
  `javax.jcr.RepositoryException`